> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# JWT Authorization by Client credentials

> We'll be using the OAuth2 Client Credentials workflow as an authentication strategy and JWTs for the format of the tokens.



## OpenAPI

````yaml /api-reference/openapi.json post /oauth/token
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /oauth/token:
    post:
      tags:
        - Auth
      summary: JWT Authorization by Client credentials
      description: >-
        We'll be using the OAuth2 Client Credentials workflow as an
        authentication strategy and JWTs for the format of the tokens.
      parameters:
        - name: grant_type
          in: query
          required: true
          schema:
            type: string
            enum:
              - client_credentials
            default: client_credentials
      responses:
        '200':
          description: Successfully authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthResponse'
      security: []
components:
  schemas:
    AuthResponse:
      type: object
      properties:
        access_token:
          type: string
        token_type:
          type: string
        expires_in:
          type: integer
        refresh_token:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````